%define pkg_summary     An open extensible IDE
#%define tomcat4_dir     %{_var}/tomcat4
%define section         free

Summary:        %{pkg_summary}
Name:           eclipse
Version:        2.1.1
Release:        3jpp
Epoch:          0
License:        CPL
Group:          Text Editors/Integrated Development Environments (IDE)
URL:            http://www.eclipse.org/
Source0:        ftp://download2.eclipse.org/R-2.1.1-200306271545/eclipse-sourceBuild-srcIncluded-2.1.1.zip
Source1:        %{name}.script
Source2:        %{name}.desktop
Source3:        %{name}-16.png
Source4:        %{name}-32.png
Source5:        %{name}-48.png
Source6:        %{name}.conf
Source7:        %{name}-platform-files.txt
Source8:        %{name}-ftpwebdav-files.txt
Source9:        %{name}-jdt-files.txt
Source10:       %{name}-gtk-files.txt
Source11:       %{name}-sdk-files.txt
Source12:       %{name}-ftpwebdav-notincluded-files.txt
Source13:       %{name}-sdk-notincluded-files.txt
Source14:       %{name}-platform-notincluded-files.txt
Patch0:         %{name}-make-gtk.patch
Patch1:         %{name}-make-core.patch
Patch2:         %{name}-make-gtk2.patch
Patch3:         %{name}-make-ld.patch
Patch4:         %{name}-rename-bug.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  ant, ant-optional, perl, junit
# xml-commons-apis disabled due to
# http://developer.java.sun.com/developer/bugParade/bugs/4749727.html
#BuildRequires:  xml-commons-apis
BuildRequires:  jakarta-commons-logging, servlet23, lucene, regexp >= 0:1.2
BuildRequires:  jpackage-utils >= 0:1.5, make, gcc
# MDK 9.1 libgnome-vfs2_0-devel
# RH 8.0, 9: gnome-vfs2-devel
BuildRequires:  %{_libdir}/pkgconfig/gnome-vfs-2.0.pc
# MDK 9.1: libgtk+2.0_0-devel
# RH 8.0, 9: gtk2-devel
BuildRequires:  %{_libdir}/pkgconfig/gtk+-2.0.pc
# MDK 9.1: libglib2.0_0-devel
# RH 8.0, 9: glib2-devel
BuildRequires:  %{_libdir}/pkgconfig/gthread-2.0.pc
Vendor:         JPackage Project
Distribution:   JPackage

%description
The Eclipse Platform is designed for building integrated development
environments (IDEs) that can be used to create applications as diverse
as web sites, embedded Java(tm) programs, C++ programs, and Enterprise
JavaBeans(tm).

%package        platform
Summary:        Eclipse platform common files
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       ant, ant-optional, regexp >= 0:1.2
# xml-commons-apis disabled due to
# http://developer.java.sun.com/developer/bugParade/bugs/4749727.html
#Requires:       xml-commons-apis
Requires:       jakarta-commons-logging, servlet23, lucene

%description    platform
Eclipse platform common files.  In addition to this, you'll need the
startup scripts and a UI package (eg. GTK2) to be able to run the IDE.

%package        gtk2
Summary:        GTK2 UI for the Eclipse IDE
Group:          Text Editors/Integrated Development Environments (IDE)
Provides:       %{name}-ui = %{epoch}:%{version}
Requires:       %{name}-platform = %{epoch}:%{version}
Requires:       %{name}-scripts = %{epoch}:%{version}
Requires:       /usr/sbin/update-alternatives

%description    gtk2
GTK2 UI for the Eclipse IDE.

%package        jdt
Summary:        Eclipse Java development tools
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-ui = %{epoch}:%{version}, junit

%description    jdt
Eclipse Java developments tools.

%package        ftp-webdav
Summary:        Eclipse FTP and WebDAV plugins
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-ui = %{epoch}:%{version}

%description    ftp-webdav
Eclipse FTP and WebDAV plugins.

%package        sdk
Summary:        Eclipse SDK
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-ui = %{epoch}:%{version}

%description    sdk
Eclipse SDK.

%package        scripts
Summary:        Eclipse startup scripts
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-ui = %{epoch}:%{version}

%description    scripts
Eclipse startup scripts.

%package        mdkmenu
Summary:        Mandrake menu entry for Eclipse
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-scripts = %{epoch}:%{version}

%description    mdkmenu
This is a Mandrake menu system entry for Eclipse.

%package        legacymenu
Summary:        Legacy menu entry for Eclipse
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-scripts = %{epoch}:%{version}
Conflicts:      redhat-menus

%description    legacymenu
This is a legacy menu system entry for Eclipse.


%prep
%setup -q -c
# Argh, patch(1) doesn't like paths with spaces?
patch -p1 \
  "plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library/make_gtk.mak" < %{PATCH0}
%patch1 -p1
%patch2 -p1
patch -p1 \
  "plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library/make_gtk.mak" < %{PATCH3}
%patch4 -p0

# Nuke platform-dependent libs and executables
find . -type f -name "*.s[lo]" -exec rm -f {} ';'
find plugins/platform-launcher/bin -type f -name eclipse -exec rm -f {} ';'

# That's a bit too verbose to me...
perl -pi -e 's|(<javac[^>]+verbose=)"true"|${1}"false"|' \
  `find . -type f -name build.xml`

# Symlink JPackage jars

pushd plugins/org.junit && \
ln -sf %{_javadir}/junit.jar junit.jar && \
popd

pushd plugins/org.eclipse.core.resources/lib && \
ln -sf %{_javadir}/ant.jar ant.jar && \
popd

pushd plugins/org.apache.ant && \
ln -sf %{_javadir}/ant.jar ant.jar && \
ln -sf %{_javadir}/ant-optional.jar optional.jar && \
popd

pushd plugins/org.apache.xerces && \
# xml-commons-apis disabled due to
# http://developer.java.sun.com/developer/bugParade/bugs/4749727.html
#ln -sf %{_javadir}/xml-commons-apis.jar xmlParserAPIs.jar && \
# Xerces 2.0.1 or XML4J 4.0.7 needed here.
#ln -sf %{_javadir}/oldxerces-j2.jar xercesImpl.jar && \
popd

pushd plugins/org.apache.lucene && \
ln -sf %{_javadir}/lucene.jar lucene-1.2.jar && \
popd

# The tomcat stuff needs org.apache.jasper.compiler.JavaCompiler, which isn't
# in TC 4.1.21, but is in 4.0.6.
pushd plugins/org.eclipse.tomcat && \
#ln -sf %{tomcat4_dir}/bin/bootstrap.jar bootstrap.jar && \
#ln -sf %{tomcat4_dir}/server/lib/catalina.jar catalina.jar && \
ln -sf %{_javadir}/commons-logging.jar commons-logging.jar && \
ln -sf %{_javadir}/regexp.jar jakarta-regexp-1.2.jar && \
#ln -sf %{tomcat4_dir}/common/lib/jasper-compiler.jar jasper-compiler.jar && \
#ln -sf %{tomcat4_dir}/common/lib/jasper-runtime.jar jasper-runtime.jar && \
#ln -sf %{tomcat4_dir}/common/lib/naming-common.jar naming-common.jar && \
#ln -sf %{tomcat4_dir}/common/lib/naming-factory.jar naming-factory.jar && \
#ln -sf %{tomcat4_dir}/common/lib/naming-resources.jar naming-resources.jar &&\
ln -sf %{_javadir}/servlet.jar servlet.jar && \
#ln -sf %{tomcat4_dir}/server/lib/servlets-common.jar servlets-common.jar && \
#ln -sf %{tomcat4_dir}/server/lib/servlets-default.jar servlets-default.jar &&\
#ln -sf %{tomcat4_dir}/server/lib/servlets-invoker.jar servlets-invoker.jar &&\
#ln -sf %{tomcat4_dir}/server/lib/servlets-manager.jar servlets-manager.jar &&\
#ln -sf %{tomcat4_dir}/server/lib/servlets-manager.jar servlets-manager.jar &&\
#ln -sf %{tomcat4_dir}/server/lib/tomcat-coyote.jar tomcat-coyote.jar && \
#ln -sf %{tomcat4_dir}/server/lib/tomcat-http11.jar tomcat-http11.jar && \
#ln -sf %{tomcat4_dir}/server/lib/tomcat-util.jar tomcat-util.jar && \
popd


%build
pushd "plugins/org.eclipse.swt/Eclipse SWT/common/library"
cp -p callback.c callback.h make_common.mak swt.h \
  "../../../../org.eclipse.swt/Eclipse SWT PI/gtk/library"
popd

pushd "plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library"
cp make_gtk.mak make_gtk.mak.bak
make \
GTKLIBS="`pkg-config --libs gtk+-2.0` `pkg-config --libs gthread-2.0`" \
JAVA_JNI="%{java_home}/include" \
JPACKAGE_CFLAGS="$RPM_OPT_FLAGS -I%{java_home}/include -I%{java_home}/include/linux" \
-f make_gtk.mak all
cp -p libswt-*gtk-*.so ../../../../org.eclipse.swt.gtk/os/linux/x86
popd

pushd plugins/platform-launcher/library/gtk
make \
JPACKAGE_CFLAGS="$RPM_OPT_FLAGS" \
DEFAULT_OS="linux" \
DEFAULT_OS_ARCH="x86" \
DEFAULT_WS="gtk" \
PROGRAM_OUTPUT="eclipse" \
PROGRAM_NAME="Eclipse" \
-f make_gtk.mak clean all

cp -p eclipse ../../bin/linux/gtk
popd

pushd plugins/org.eclipse.core.resources.linux/src
make JDK_INCLUDE="%{java_home}/include" JPACKAGE_CFLAGS="$RPM_OPT_FLAGS -I%{java_home}/include -I%{java_home}/include/linux"
cp -p libcore_*.so ../os/linux/x86
popd

ant -Dos=linux -Dws=gtk -Dbuild.compiler=modern compile buildDoc

# Hum, why aren't these built by default?
# They're included in upstream binaries.
ant -Dos=linux -Dws=gtk -Dbuild.compiler=modern \
  -buildfile plugins/org.eclipse.pde.ui/build.xml \
  pdeuiantsrc.zip pdeuisrc.zip
ant -Dos=linux -Dws=gtk -Dbuild.compiler=modern \
  -buildfile plugins/org.eclipse.pde/build.xml \
  pdesrc.zip ant_tasks/pde-antsrc.zip
ant -Dos=linux -Dws=gtk -Dbuild.compiler=modern \
  -buildfile plugins/org.eclipse.pde.core/build.xml \
  pdecoresrc.zip
ant -Dos=linux -Dws=gtk -Dbuild.compiler=modern \
  -buildfile plugins/org.eclipse.pde.runtime/build.xml \
  pdertsrc.zip
ant -Dos=linux -Dws=gtk -Dbuild.compiler=modern \
  -buildfile plugins/org.eclipse.pde.build/build.xml \
  pdebuildsrc.zip lib/pdebuild-antsrc.zip


%install
rm -rf $RPM_BUILD_ROOT

ant -Dos=linux -Dws=gtk -Dbuild.compiler=modern install

# Special cases, see end of the build section.
mkdir -p plugins/org.eclipse.pde.source/src/org.eclipse.pde.ui
cp -pr plugins/org.eclipse.pde.ui/{pdeui*src.zip,schema,about.html} \
  plugins/org.eclipse.pde.source/src/org.eclipse.pde.ui
mkdir -p plugins/org.eclipse.pde.source/src/org.eclipse.pde/ant_tasks
cp -pr plugins/org.eclipse.pde/{pdesrc.zip,about.html} \
  plugins/org.eclipse.pde.source/src/org.eclipse.pde
cp -pr plugins/org.eclipse.pde/ant_tasks/pde-antsrc.zip \
  plugins/org.eclipse.pde.source/src/org.eclipse.pde/ant_tasks
mkdir -p plugins/org.eclipse.pde.source/src/org.eclipse.pde.core
cp -pr plugins/org.eclipse.pde.core/{pdecoresrc.zip,schema,about.html} \
  plugins/org.eclipse.pde.source/src/org.eclipse.pde.core
mkdir -p plugins/org.eclipse.pde.source/src/org.eclipse.pde.runtime
cp -pr plugins/org.eclipse.pde.runtime/{pdertsrc.zip,about.html} \
  plugins/org.eclipse.pde.source/src/org.eclipse.pde.runtime
mkdir -p plugins/org.eclipse.pde.source/src/org.eclipse.pde.build/lib
cp -pr plugins/org.eclipse.pde.build/{pdebuildsrc.zip,about.html} \
  plugins/org.eclipse.pde.source/src/org.eclipse.pde.build
cp -pr plugins/org.eclipse.pde.build/lib/pdebuild-antsrc.zip \
  plugins/org.eclipse.pde.source/src/org.eclipse.pde.build/lib

# Platform files
> %{name}-platform.files
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -p plugins/org.eclipse.platform/{.eclipseproduct,install.ini} .
for file in `cat %{SOURCE7}`; do
  if [ -f "$file" -o -h "$file" ]; then
    dn="`dirname $RPM_BUILD_ROOT%{_libdir}/%{name}/$file`"
    mkdir -p "$dn"
    cp -dp "$file" "$dn"
    # Make *.so executable.
    attr=""
    if echo "$file" | grep '\.so$' >/dev/null 2>&1; then
      attr="%attr(0755,root,root)"
    fi
    echo "$attr%{_libdir}/%{name}/$file" >> %{name}-platform.files
  else
    if [ -d "$file" ]; then
      mkdir -p "$RPM_BUILD_ROOT%{_libdir}/%{name}/$file"
      echo "%dir %{_libdir}/%{name}/$file" >> %{name}-platform.files
    else
      echo "*** ERROR: platform file not found: $file"
      exit 1
    fi
  fi
done
# FTP/WebDAV files
> %{name}-ftpwebdav.files
for file in `cat %{SOURCE8}`; do
  if [ -f "$file" -o -h "$file" ]; then
    dn="`dirname $RPM_BUILD_ROOT%{_libdir}/%{name}/$file`"
    mkdir -p "$dn"
    cp -dp "$file" "$dn"
    echo "%{_libdir}/%{name}/$file" >> %{name}-ftpwebdav.files
  else
    if [ -d "$file" ]; then
      mkdir -p "$RPM_BUILD_ROOT%{_libdir}/%{name}/$file"
      echo "%dir %{_libdir}/%{name}/$file" >> %{name}-ftpwebdav.files
    else
      echo "*** ERROR: ftp/webdav file not found: $file"
      exit 1
    fi
  fi
done
# JDT files
> %{name}-jdt.files
for file in `cat %{SOURCE9}`; do
  if [ -f "$file" -o -h "$file" ]; then
    dn="`dirname $RPM_BUILD_ROOT%{_libdir}/%{name}/$file`"
    mkdir -p "$dn"
    cp -dp "$file" "$dn"
    echo "%{_libdir}/%{name}/$file" >> %{name}-jdt.files
  else
    if [ -d "$file" ]; then
      mkdir -p "$RPM_BUILD_ROOT%{_libdir}/%{name}/$file"
      echo "%dir %{_libdir}/%{name}/$file" >> %{name}-jdt.files
    else
      echo "*** ERROR: jdt file not found: $file"
      exit 1
    fi
  fi
done
# GTK files
> %{name}-gtk.files
cp -p eclipse $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse-gtk2
for file in `cat %{SOURCE10}`; do
  if [ -f "$file" -o -h "$file" ]; then
    dn="`dirname $RPM_BUILD_ROOT%{_libdir}/%{name}/$file`"
    mkdir -p "$dn"
    cp -dp "$file" "$dn"
    # Make *.so executable.
    attr=""
    if echo "$file" | grep '\.so$' >/dev/null 2>&1; then
      attr="%attr(0755,root,root)"
    fi
    echo "$attr%{_libdir}/%{name}/$file" >> %{name}-gtk.files
  else
    if [ -d "$file" ]; then
      mkdir -p "$RPM_BUILD_ROOT%{_libdir}/%{name}/$file"
      echo "%dir %{_libdir}/%{name}/$file" >> %{name}-gtk.files
    else
      echo "*** ERROR: gtk file not found: $file"
      exit 1
    fi
  fi
done
# SDK files
> %{name}-sdk.files
for file in `cat %{SOURCE11}`; do
  if [ -f "$file" -o -h "$file" ]; then
    dn="`dirname $RPM_BUILD_ROOT%{_libdir}/%{name}/$file`"
    mkdir -p "$dn"
    cp -dp "$file" "$dn"
    echo "%{_libdir}/%{name}/$file" >> %{name}-sdk.files
  else
    if [ -d "$file" ]; then
      mkdir -p "$RPM_BUILD_ROOT%{_libdir}/%{name}/$file"
      echo "%dir %{_libdir}/%{name}/$file" >> %{name}-sdk.files
    else
      echo "*** ERROR: sdk file not found: $file"
      exit 1
    fi
  fi
done

touch $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse

# Script
mkdir -p $RPM_BUILD_ROOT%{_bindir}
perl -pe \
  's|/usr/lib/eclipse/|%{_libdir}/%{name}/|g ;
   s|/etc/|%{_sysconfdir}/|g ;
   s|/usr/bin/|%{_bindir}/|g' \
  %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/eclipse

# Default config
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
perl -pe 's|/usr/lib/eclipse/|%{_libdir}/%{name}/|g' \
  %{SOURCE6} > $RPM_BUILD_ROOT%{_sysconfdir}/eclipse.conf

# mdk icons
install -p -D -m0644 %{SOURCE5} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -p -D -m0644 %{SOURCE4} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -p -D -m0644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# mdk menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}-mdkmenu):\
 command="%{_bindir}/%{name}"\
 needs="X11"\
 section="Applications/Development/Development environments"\
 mimetypes="text/html;text/plain"\
 title="Eclipse"\
 longtitle="%{pkg_summary}"\
 icon="%{name}.png"
EOF

# rh/freedesktop.org icons
install -p -D -m0644 %{SOURCE5} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -p -D -m0644 %{SOURCE4} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -D -m0644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -d -m0755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps

# freedesktop.org menu entry
install -p -D -m0644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}.desktop

# legacy menu entry
install -p -D -m0644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Development/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post gtk2
update-alternatives --install %{_libdir}/%{name}/eclipse \
  eclipse_bin %{_libdir}/%{name}/eclipse-gtk2 50

%postun gtk2
if [ "$1" = "0" ]; then
  update-alternatives --remove eclipse_bin %{_libdir}/%{name}/eclipse-gtk2
fi

%post mdkmenu
%{update_menus}

%postun mdkmenu
%{clean_menus}


%files platform -f %{name}-platform.files
%defattr(0644,root,root,0755)
%dir %{_libdir}/%{name}
%doc plugins/org.eclipse.platform/cpl-v10.html
%doc plugins/org.eclipse.platform/notice.html

%files gtk2 -f %{name}-gtk.files
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_libdir}/%{name}/eclipse-gtk2

%files jdt -f %{name}-jdt.files
%defattr(0644,root,root,0755)

%files ftp-webdav -f %{name}-ftpwebdav.files
%defattr(0644,root,root,0755)

%files sdk -f %{name}-sdk.files
%defattr(0644,root,root,0755)

%files scripts
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/eclipse
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/*/*/apps/*
%attr(0755,root,root) %ghost %{_libdir}/%{name}/eclipse
%config(noreplace) %{_sysconfdir}/eclipse.conf

%files mdkmenu
%defattr(0644,root,root,0755)
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files legacymenu
%defattr(0644,root,root,0755)
%{_sysconfdir}/X11/applnk/Development/*


%changelog
* Sun Sep 21 2003 David Walluck <david@anti-microsoft.org> 0:2.1.1-3jpp
- apply new patch for non-working rename action from Michael Reinsch
- build for Mandrake 9.2 with Sun JDK 1.4.2

* Thu Aug 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.1.1-2jpp
- Include missed plugins: org.eclipse.ui.versioncheck (platform),
  org.eclipse.pde.source (sdk).  Thanks to Markus Härnvi for the heads up.

* Sun Jun 29 2003 Michael Reinsch <mr@uue.org> 0:2.1.1-1jpp
- patch for non-working rename action
- eclipse 2.1.1
- Ville's comments: patch not applied, it didn't fix the problem completely.
  Still built with Sun's 1.3.1.08.

* Sun Jun  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.1.0-4jpp
- Use xmlParserAPIs.jar that comes with Eclipse instead of xml-commons-apis:
  <http://developer.java.sun.com/developer/bugParade/bugs/4749727.html>

* Sun Jun  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.1.0-3jpp
- Rebuild with Sun's 1.3.1_08 to work around Eclipse Java 1.4.x build bug:
  <https://bugs.eclipse.org/bugs/show_bug.cgi?id=37846>
- Drop %%{release} from subpackage interdependencies in order to make it
  possible to do partial subpackage-only updates in the future.
- Make legacymenu conflict with redhat-menus.
- Add icon symlink in %%{_datadir}/pixmaps.

* Mon Apr 21 2003 David Walluck <david@anti-microsoft.org> 0:2.1.0-2jpp
- fix mdkmenu
- add Distribution and Vendor tags

* Thu Apr 03 2003 David Walluck <david@anti-microsoft.org> 0:2.1.0-1jpp
- 2.1
- add %{name}-make-ld.patch to work around problems building on Mandrake 9.1
- add Mandrake 9.1 comments to BuildRequires

* Wed Mar 26 2003 Ville Skyttä <jpackage-discuss at zarb.org> - 0:2.1.0-0.rc3b.3jpp
- Rebuilt for JPackage 1.5.

* Tue Mar 25 2003 Ville Skyttä <jpackage-discuss at zarb.org> - 0:2.1.0-0.rc3b.2jpp
- Add java.library.path and -Xms64M to default config.
- Don't use "-dev bin" by default.
- Use X-JPackage instead of X-Red-Hat-Extra in standard menu entry.
- Fix MDK menu entry title and summary.

* Mon Mar 24 2003 Ville Skyttä <jpackage-discuss at zarb.org> - 0:2.1.0-0.rc3b.1jpp
- Update to 2.1.0 RC3b.
- Spec file and build cleanups, mostly from David Walluck.
- No longer requires csh.
- Made *.so in the gtk and platform packages executable.
- The %%{_libdir}/%{name} directory is now owned by the platform package.

* Fri Mar 14 2003 Ville Skyttä <jpackage-discuss at zarb.org> - 2.1.0-0.rc2.2jpp
- Include a couple of platform files missing from the previous build.
- Remove bogus files from platform, ftp-webdav and sdk file lists.
- Abort with error if the file lists refer to nonexistent files.

* Sun Mar  9 2003 Ville Skyttä <jpackage-discuss at zarb.org> - 2.1.0-0.rc2.1jpp
- Update to 2.1.0 RC2.
- Merge David Walluck's packaging work.
- Use JPackage lucene.
- Don't include Motif stuff.

* Thu Mar  6 2003 Ville Skyttä <jpackage-discuss at zarb.org> - 2.1.0-0.rc1.0jpp
- First try at packaging.
